GIMP file format images display green instead of B&W
Closed, ResolvedPublic

Description

https://commons.wikimedia.org/wiki/File:Romain_Rolland_de_face_au_balcon,_Meurisse,_1914.xcf
https://commons.wikimedia.org/wiki/File:Romain_Rolland_au_balcon,_Meurisse,_1914.xcf
These images are displayed in green. This is confirmed by another user.
I use Chrome on Windows 7, if it matters.


Version: 1.24rc
Severity: normal

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz66323.
Yann created this task.Via LegacyJun 7 2014, 3:47 PM
Bawolff added a comment.Via ConduitJun 7 2014, 6:08 PM

Appears to be an upstream bug in image magick.

We could perhaps work around it by doing:
-colorspace sRGB -channel R -separate

gerritbot added a comment.Via ConduitJun 7 2014, 9:39 PM

Change 138213 had a related patch set uploaded by Brian Wolff:
Workaround image magick issue with greyscale xcf files

https://gerrit.wikimedia.org/r/138213

Bawolff added a comment.Via ConduitJun 7 2014, 9:42 PM

In my testing, image magick seems to take a greyscale+alpha xcf as having the greyscale channel be red and blue (and alpha as green). For a plain greyscale xcf, it seems like they grey channel is interpreted as all the channels, including alpha

TheDJ added a comment.Via ConduitJun 16 2014, 10:03 AM

Upstream reports this fixed in ImageMagick 6.8.9-3 Beta

gerritbot added a comment.Via ConduitJul 2 2014, 1:58 PM

Change 138213 merged by jenkins-bot:
Workaround image magick issue with greyscale xcf files

https://gerrit.wikimedia.org/r/138213

Bawolff added a comment.Via ConduitJul 3 2014, 12:10 AM

This should be fixed on commons starting on July 8. After the fix goes live on commons, you may need to do ?action=purge on the file description page to get rid of cached thumbs with wrong colour.

Gilles raised the priority of this task from "Normal" to "Unbreak Now!".Via WebDec 4 2014, 10:19 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles added a project: Multimedia.
Gilles lowered the priority of this task from "Unbreak Now!" to "Normal".Via ConduitDec 4 2014, 11:21 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.